# Class JavadocExportWizardPage

java.lang.Object
org.eclipse.jdt.ui.wizards.JavadocExportWizardPage

public abstract class JavadocExportWizardPage extends Object
A Javadoc export wizard page allows the user to add an additional page to the Javadoc wizard.

Clients should extend this class and include the name of their class in an extension contributed to the jdt.ui's Javadoc export wizard page extension point (named `org.eclipse.jdt.ui.javadocExportWizardPage` ).

Since:
  3.4

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`JavadocExportWizardPage.IJavadocExportWizardPageContainer`
The page container.

## Constructor Summary

Constructors
Constructor
Description
`JavadocExportWizardPage()`

## Method Summary

Modifier and Type
Method
Description
`abstract org.eclipse.swt.widgets.Control`
`createContents(org.eclipse.swt.widgets.Composite parent)`
Creates the content of this page under the given parent composite.
`void`
`dispose()`
Disposes any resources allocated by this dialog page.
`protected final JavadocExportWizardPage.IJavadocExportWizardPageContainer`
`getContainer()`
Gets the parent wizard container
`final org.eclipse.core.runtime.IStatus`
`getStatus()`
Returns the status of the page.
`void`
`performHelp()`
Notifies that help has been requested for this dialog page.
`final void`
`setContainer(JavadocExportWizardPage.IJavadocExportWizardPageContainer container)`
Sets the parent wizard container.
`protected final void`
`setStatus(org.eclipse.core.runtime.IStatus status)`
Sets the page status.
`void`
`setVisible(boolean visible)`
Called when the page becomes visible or becomes hidden.
`void`
`updateAntScript(Element xmlDocument)`
Called when the Javadoc ANT script is generated.
`void`
`updateArguments(List<String> vmOptions, List<String> toolOptions)`
Called when the command line arguments are collected.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavadocExportWizardPage

public JavadocExportWizardPage()

## Method Details

### createContents

public abstract org.eclipse.swt.widgets.Control createContents(org.eclipse.swt.widgets.Composite parent)
Creates the content of this page under the given parent composite.

Parameters:
  `parent` - the parent composite
Returns:
  return the created content

### getStatus

public final org.eclipse.core.runtime.IStatus getStatus()
Returns the status of the page. The page is considered valid ('Ok' and 'Next' enabled) when the severity of the status is `IStatus.OK` or `IStatus.WARNING`. The page is invalid when the severity is `IStatus.ERROR`.

Returns:
  the page status
See Also:
  - to set the page status

### setStatus

protected final void setStatus(org.eclipse.core.runtime.IStatus status)
Sets the page status. The page status severity must be one of `IStatus.OK` `IStatus.WARNING` or `IStatus.ERROR`.

Parameters:
  `status` - the new status

### setContainer

public final void setContainer(JavadocExportWizardPage.IJavadocExportWizardPageContainer container)
Sets the parent wizard container. The Javadoc wizard will set the container before `setVisible(boolean)` or `createContents(Composite)` is called.

Parameters:
  `container` - the parent container

### getContainer

protected final JavadocExportWizardPage.IJavadocExportWizardPageContainer getContainer()
Gets the parent wizard container

Returns:
  the parent wizard container

### updateArguments

public void updateArguments(List<String> vmOptions, List<String> toolOptions)
Called when the command line arguments are collected. Clients can add or modify arguments.

Parameters:
  `vmOptions` - A `List` of `String` with the VM arguments.
  `toolOptions` - A `List` of `String` with the Javadoc tool arguments. See the Javadoc command specification for the format of the arguments.

### updateAntScript

public void updateAntScript(Element xmlDocument)
Called when the Javadoc ANT script is generated.

Parameters:
  `xmlDocument` - The XML element for the 'javadoc' node. Clients can add or modify arguments. See the Javadoc ANT task specification for the format of the arguments.

### dispose

public void dispose()
Disposes any resources allocated by this dialog page.

### performHelp

public void performHelp()
Notifies that help has been requested for this dialog page.

### setVisible

public void setVisible(boolean visible)
Called when the page becomes visible or becomes hidden.

Parameters:
  `visible` - `true` when the page becomes visible, and `false` when the page is hidden